org.eclipse.emf.facet.custom.ui

## Interface ICustomizedContentProviderFactory

    public interface ICustomizedContentProviderFactory

This is a factory for `ICustomizedContentProvider` and `ICustomizedTreeContentProvider`.

Author:
  Gregoire Dupe
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Nested Class Summary

Nested Classes
`static interface` `ICustomizedContentProviderFactory.IContentListener`

### Field Summary

Fields
`static ICustomizedContentProviderFactory` `DEFAULT` The default factory instance

### Method Summary

All Methods Instance Methods Abstract Methods
`ICustomizedTreeContentProvider` `createCustomizedTreeContentProvider(ICustomizationManager customManager)` Instantiate an `ICustomizedTreeContentProvider`.
`IContentProvider` `createCustomizedTreeContentProvider(ICustomizationManager customManager, ICustomizedContentProviderFactory.IContentListener iContentUpdate)`

### Field Detail

#### DEFAULT

    static final ICustomizedContentProviderFactory DEFAULT

The default factory instance

### Method Detail

#### createCustomizedTreeContentProvider

    ICustomizedTreeContentProvider createCustomizedTreeContentProvider(ICustomizationManager customManager)

Instantiate an `ICustomizedTreeContentProvider`. With this content provider, your viewer's input has to be an EObject or an array or collection of EObjects.F

Parameters:
  `customManager` - the customization manager used by the content provider
Returns:
  a tree content provider
Since:
  0.2

#### createCustomizedTreeContentProvider

    IContentProvider createCustomizedTreeContentProvider(ICustomizationManager customManager,
                                                         ICustomizedContentProviderFactory.IContentListener iContentUpdate)

Since:
  1.2